## com.sun.grizzly
Interface Lifecycle

All Known Implementing Classes:
  Controller, ReadController

    public interface Lifecycle

Simple Life cycle interface used to manage Grizzly component.

Author:
  Jeanfrancois Arcand

Method Summary
`void` `pause()` Pause this Lifecycle.
`void` `resume()` Resume this Lifecycle.
`void` `start()` Start the Lifecycle.
`void` `stop()` Stops the Lifecycle.

Method Detail

### start

    void start()
               throws IOException

  Start the Lifecycle. This is the interface where an object that implements Lifecycle will start the object and begin its processing.

  Throws:
    `IOException`

### stop

    void stop()
              throws IOException

  Stops the Lifecycle. This is the interface where an object that implements Lifecycle will stop the object's processing and perform any additional cleanup before it shutdown.

  Throws:
    `IOException`

### pause

    void pause()
               throws IOException

  Pause this Lifecycle. This is the interface where an object that implements Lifecycle will pause the object's processing. Processing may be resumed via the resume() interface or stopped via the stop() interface after this interface has been called. Common uses for pause() and resume() will be to support use cases such as reconfiguration.

  Throws:
    `IOException`

### resume

    void resume()
                throws IOException

  Resume this Lifecycle. This is the interface where an object that implements Lifecycle will resume a paused object's processing. When called processing will resume. Common uses for pause() and resume() will be to support use cases such as reconfiguration.

  Throws:
    `IOException`

Copyright © 2008 SUN Microsystems. All Rights Reserved.